{% extends "page_base.html" %}

{% block title %}Paramètres de votre compte Kanban{% endblock %}

{% block page_header %}
<h2 class="centered-page-title">Paramètres de votre compte Kanban</h2>
{% endblock %}

{% block javascript %}
{{ super() }}
<script type="text/javascript" src="{{ url_for('static', filename='js/common.js') }}"></script>
{% endblock %}

{% block content %}

<div id="account-box" class="box single-box">
    <h3>Profil</h3>

    <form class="sub-box" action="{{ url_for('account.change_profile') }}" method="POST">
        <label class="field" for="display_name">Nom d'affichage :</label>
        <input type="text" size="35" id="display_name" name="display_name"
            value="{{ current_user.display_name }}" required/>

        <input type="submit" value="Mettre à jour le profil" class="final-button"/>
    </form>

    <h3>Changer de mot de passe</h3>

    <form class="sub-box" action="{{ url_for('account.change_password') }}" method="POST">
        <label class="field" for="old_password">Ancien mot de passe :</label>
        <input type="password" size="35" id="old_password" name="old_password" required/>

        <label class="field" for="new_password">Nouveau mot de passe :</label>
        <input type="password" size="35" id="new_password" name="new_password" required/>

        <label class="field" for="new_password_redundancy">Retapez le nouveau mot de passe :</label>
        <input type="password" size="35" id="new_password_redundancy" name="new_password_redundancy" required/>

        <input type="submit" value="Changer le mot de passe" class="final-button"/>
    </form>

    <h3>Supprimer mon compte Kanban</h3>

    <form class="sub-box" action="{{ url_for('account.delete_account') }}" method="POST"
            id="form_delete_account">
        <input type="submit" value="Supprimer le compte" class="final-button"/>
    </form>
</div>

<script type="text/javascript" nonce="{{ csp_nonce }}">
    var script_root = {{ request.script_root|tojson }};

    $.id('form_delete_account').addEventListener('submit', (ev) => {
        if (! confirm("Êtes-vous VRAIMENT sûr de vouloir supprimer votre "
                + "compte ?\nCette opération est irréversible.")) {
            ev.preventDefault();
        }
    });
</script>
{% endblock %}
